{
   [big_fury]
  888888888    8888  888888888888  8888     888888888     8888      8888   888888888
8888888888888  8888  888888888888  8888   8888888888888   8888      8888 8888888888888
8888     8888              88888         8888       8888  8888      8888 8888     8888
888888888      8888      888888    8888 8888         8888 8888      8888 888888888
  8888888888   8888     88888      8888 8888         8888 8888      8888   88888888888
       888888  8888   88888        8888 8888         8888 8888      8888         888888
8888      8888 8888  88888         8888  8888       8888  8888      8888 8888      8888
8888888888888  8888 88888888888888 8888   8888888888888    888888888888  8888888888888
  8888888888   8888 88888888888888 8888     888888888       8888888888     8888888888

  Unit PageControl
  =================

Description :
        Unit permettant de manipuler un TPageControl afin de faire un dialog
        style "wizard" ( l'InstallShield, avec Suivant, Prcdent...).
        Ce code est utilis dans mon programme ftiche, nomm SBI Builder.
        Il permet de changer de TabSheet en lancant la procdure indique.

Procdures : GoNext : Permet de changer la page active  la page suivante.
                      Bloque ds qu'il n'y a plus de pages aprs la suivante.
             GoPrev : Permet de changer la page active  la page prcdente.
                      Bloque ds qu'il n'y a plus de pages aprs la prcdente.

Auteur     : [big_fury]SiZiOUS

E-mail     : sizious@yahoo.fr

URL        : http://www.sbibuilder.fr.st

Remarques : Merci  Vector du forum Phidels.com pour m'avoir donn la piste.

}

unit pgctrl;

interface

//Exportation des fonctions.
procedure GoNext;
procedure GoPrev;

implementation

uses main;

{ ----------------------------< DEBUT DES PROCEDURES >------------------------ }

{ ------------------------------< Fonction GoNext >--------------------------- }

procedure GoNext;
var
  Index, MaxPages : integer;

begin
  Index     := Main_Form.PageControl.ActivePageIndex;
  MaxPages  := Main_Form.PageControl.PageCount;
  if (Index + 1) >= MaxPages then Exit;    //Si on peut pas changer, on se casse.
  Main_Form.PageControl.ActivePageIndex := Index + 1;
end;

{ ------------------------------< Fonction GoPrev >--------------------------- }

procedure GoPrev;
var
  Index : integer;
  
begin
  Index     := Main_Form.PageControl.ActivePageIndex;
  if (Index - 1) = -1 then Exit;  //Si on peut pas changer, on se casse.
  Main_Form.PageControl.ActivePageIndex := Index - 1;
end;

{ ------------------------------< FIN DES PROCEDURES >------------------------ }

end.
