unit main;

interface

uses
  Windows, Messages, SysUtils,  Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, FileCtrl, Spin, Buttons, ShellApi;

type
  TMain_Form = class(TForm)
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Button1: TButton;
    Button2: TButton;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Memo1: TMemo;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Button6: TButton;
    Label4: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Main_Form: TMain_Form;

implementation

uses pgctrl, about;

{$R *.dfm}

//Une fonction en cadeau : OpenWebLink...
//Utilise ShellApi.
function OpenWebLink(URL : string) : Cardinal;
begin
  Result := ShellExecute(Application.Handle, 'open', PChar(URL), '', '', SW_SHOWNORMAL);
end;

//----------------------- PROCEDURES GENERES PAR DELPHI ------------------------

procedure TMain_Form.Button1Click(Sender: TObject);
begin
  GoPrev;

  //Ici, on dsactive le bouton prcdent si arriv au bout du nombre min.
  //-2 parce que PageControl.PageCount - 1 est la dernire TabSheet.
  //0 est la premire !!
  if PageControl.ActivePageIndex = 0 then
    Button1.Enabled := False;

  //Ici, on rtablie la Caption !
  if PageControl.ActivePageIndex = PageControl.PageCount - 2 then
    Button2.Caption := '&Suivant>';
end;

procedure TMain_Form.Button2Click(Sender: TObject);
begin
  //Si la caption = Terminer, on le fait quelque chose !!
  if Button2.Caption = '&Terminer...' then
    ShowMessage('L''exemple est termin ! Il est cool, vous trouvez pas :-)');

  //Procdure suivant !!  
  GoNext;

  //Ici, on active le bouton prcdent.
  if PageControl.ActivePageIndex > 0 then
    Button1.Enabled := True;

  //Ici, on change la caption... si arriv au bout du nombre max.
  if PageControl.ActivePageIndex = PageControl.PageCount - 1 then
    Button2.Caption := '&Terminer...';
end;

procedure TMain_Form.Button4Click(Sender: TObject);
var
  i : integer;

begin
  //Normalement,  placer dans le OnCreate de la fiche.
  for i := 0 to PageControl.PageCount - 1 do
    PageControl.Pages[i].TabVisible := False;
  PageControl.ActivePageIndex := 0;
end;

procedure TMain_Form.Button5Click(Sender: TObject);
var
  i : integer;

begin
  //Normalement,  placer dans le OnCreate de la fiche.
  for i := 0 to PageControl.PageCount - 1 do
    PageControl.Pages[i].TabVisible := True;
  PageControl.ActivePageIndex := 0;
end;

procedure TMain_Form.Button6Click(Sender: TObject);
begin
  OpenWebLink('http://www.sbibuilder.fr.st/');
end;

procedure TMain_Form.FormCreate(Sender: TObject);
begin
  //Meme caption dans les 2!
  Application.Title := Main_Form.Caption;
end;

procedure TMain_Form.Button3Click(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

end.
